package com.example.collectionofshortstories.view.authorization

import android.util.Log
import androidx.compose.runtime.MutableState
import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import androidx.navigation.NavHostController
import com.example.collectionofshortstories.domain.untils.Constants
import com.example.collectionofshortstories.model.Role
import com.example.collectionofshortstories.model.User
import com.example.collectionofshortstories.navigation.Routes
import com.example.collectionofshortstories.view.catalog.Catalog
import dagger.hilt.android.lifecycle.HiltViewModel
import io.github.jan.supabase.gotrue.auth
import io.github.jan.supabase.gotrue.providers.builtin.Email
import io.github.jan.supabase.postgrest.from
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.flow.asStateFlow
import kotlinx.coroutines.launch
import javax.inject.Inject

@HiltViewModel
class AuthorizationViewModel @Inject constructor() : ViewModel() {
    var wrongSignIn = mutableStateOf(false)

    private var _navigationTo = MutableStateFlow<String?>(null)
    val navigationTo = _navigationTo.asStateFlow()

    fun onSignInEmailPassword(emailUser: String, passwordUser: String) {
        viewModelScope.launch {
            try {
                val user = Constants.supabase.auth.signInWith(Email) {
                    email = emailUser
                    password = passwordUser
                }
                _navigationTo.value = Routes.CATALOG;

            } catch (e: Exception) {
                Log.d("User", e.toString())
                Log.d("User", e.message.toString())
                wrongSignIn.value = true
            }
        }
    }
}