package com.example.collectionofshortstories.view.dateArticle

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.ui.Modifier
import androidx.hilt.navigation.compose.hiltViewModel
import androidx.navigation.NavHostController
import com.example.collectionofshortstories.navigation.Routes
import kotlinx.datetime.Month

@Composable
fun DateArticle(navHostController: NavHostController, titleArticle: String, viewModel: DateArticleViewModel = hiltViewModel()) {

    viewModel.GetTextAndCategories(titleArticle)

    Column(
        modifier = Modifier
            .fillMaxSize(),
        verticalArrangement = Arrangement.SpaceAround
    ) {
        Button(
            onClick = {
                navHostController.navigate(Routes.CATALOG)
            }
        ) {
            Text(
                text = "Назад"
            )
        }
        Text(
            text = titleArticle
        )
        Text(
            text = viewModel.textArticle.value
        )
        Text(
            text = viewModel.categoriesArticle.value
        )

    }
}