package com.example.collectionofshortstories.view.dateArticle

import androidx.compose.runtime.CompositionLocalProvider
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import androidx.lifecycle.viewmodel.compose.viewModel
import com.example.collectionofshortstories.domain.untils.Constants
import com.example.collectionofshortstories.model.Article
import com.example.collectionofshortstories.model.Categories
import dagger.hilt.android.lifecycle.HiltViewModel
import io.github.jan.supabase.postgrest.from
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch
import kotlinx.coroutines.withContext
import javax.inject.Inject

@HiltViewModel
class DateArticleViewModel @Inject constructor(): ViewModel() {
    var textArticle =  mutableStateOf("")
    val categoriesArticle = mutableStateOf("")

    fun GetTextAndCategories(titleArticle: String) {
        viewModelScope.launch {
            withContext(Dispatchers.IO) {
                val text = Constants.supabase.from("articles").select {
                    filter {
                        eq("title", titleArticle)
                    }
                }.decodeSingleOrNull<Article>()
                textArticle.value = text?.text_articles ?: ""

                val category = Constants.supabase.from("categories").select {
                    filter {
                        eq("id", text!!.id_categories)
                    }
                }.decodeSingleOrNull<Categories>()
                categoriesArticle.value = category?.title ?: ""
            }
        }
    }
}