package com.example.collectionofshortstories.view.start

import android.content.res.Configuration
import android.util.Log
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.ui.platform.LocalConfiguration
import androidx.navigation.NavHostController
import com.example.collectionofshortstories.domain.untils.Constants
import com.example.collectionofshortstories.navigation.Routes
import io.github.jan.supabase.gotrue.auth
import kotlinx.coroutines.delay

@Composable
fun SwitchingTheFirstPage(navController: NavHostController) {
    val configuration = LocalConfiguration.current
    if (configuration.orientation == Configuration.ORIENTATION_PORTRAIT) {
        LaunchedEffect(key1 = true) {
            Constants.supabase.auth.signOut()
            delay(1500L)
            navController.navigate(Routes.AUTH) {
                popUpTo(Routes.START)
                {
                    inclusive = true
                }
            }
        }
    }
}

